:root {
  background-color: hsl(0deg 0% 14%);
  color: rgb(255 255 255 / 87%);
  color-scheme: light dark;
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-synthesis: none;
  font-weight: 400;
  line-height: 1.5;
  text-rendering: optimizelegibility;
  text-size-adjust: 100%;
}

a {
  color: hsl(237deg 100% 70%);
  font-weight: 500;
  text-decoration: inherit;
}

a:hover {
  color: hsl(237deg 86% 64%);
}

body {
  display: flex;
  min-width: 320px;
  min-height: 100vh;
  margin: 0;
  place-items: center;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

.card {
  padding: 2em;
}

#app {
  max-width: 1280px;
  padding: 2rem;
  margin: 0 auto;
  text-align: center;
}

button {
  padding: 0.6em 1.2em;
  border: 1px solid transparent;
  border-radius: 8px;
  background-color: hsl(0deg 0% 10%);
  cursor: pointer;
  font-family: inherit;
  font-size: 1em;
  font-weight: 500;
  transition: border-color 0.25s;
}

button:hover {
  border-color: hsl(237deg 100% 70%);
}

button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

@media (prefers-color-scheme: light) {
  :root {
    background-color: hsl(0deg 0% 100%);
    color: hsl(208deg 37% 20%);
  }

  a:hover {
    color: hsl(237deg 100% 73%);
  }

  button {
    background-color: hsl(0deg 0% 98%);
  }
}
